Package be.ehealth.businessconnector.wsconsent.service.impl

# Class WsConsentServiceImpl

java.lang.Object
be.ehealth.businessconnector.wsconsent.service.impl.WsConsentServiceImpl

All Implemented Interfaces:
  `WsConsentService`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class WsConsentServiceImpl extends Object implements WsConsentService, ConfigurationModuleBootstrap.ModuleBootstrapHook
Implementation for `WsConsentService`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WsConsentServiceImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `GetPatientConsentResponse`
  `getPatientConsent(SAMLToken token, GetPatientConsentRequest request)`
  Method which perform the call to the webSevice which allows an end-user to check the existence of an informed patient consent (and to get the information about this consent – ‘active’ or ‘inactive’).
  `GetPatientConsentStatusResponse`
  `getPatientConsentStatus(SAMLToken token, GetPatientConsentStatusRequest request)`
  Method which performs the call to the webService which allows an end-user to check the status of and informed patient consent
  `PutPatientConsentResponse`
  `putPatientConsent(SAMLToken token, PutPatientConsentRequest request)`
  Method which perform the call to the webSevice which allows an end-user to declare an informed patient consent.
  `RevokePatientConsentResponse`
  `revokePatientConsent(SAMLToken token, RevokePatientConsentRequest request)`
  Method which perform the call to the webSevice which allows an end-user to declare the revocation of an informed patient consent.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WsConsentServiceImpl

    public WsConsentServiceImpl()

- ## Method Details

  - ### putPatientConsent

    public PutPatientConsentResponse putPatientConsent(SAMLToken token, PutPatientConsentRequest request) throws WsConsentBusinessConnectorException, TechnicalConnectorException, SessionManagementException
    Description copied from interface: `WsConsentService`
    Method which perform the call to the webSevice which allows an end-user to declare an informed patient consent. Once the consent is declared, it is considered as ‘active’ consent.
    Specified by:
      `putPatientConsent` in interface `WsConsentService`
    Parameters:
      `token` - the token
      `request` - object
    Returns:
      PutPatientConsentResponse object
    Throws:
      `WsConsentBusinessConnectorException`
      `TechnicalConnectorException`
      `SessionManagementException`
    See Also:
      - `WsConsentService.putPatientConsent(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.fgov.ehealth.hubservices.core.v2.PutPatientConsentRequest)`

  - ### getPatientConsent

    public GetPatientConsentResponse getPatientConsent(SAMLToken token, GetPatientConsentRequest request) throws WsConsentBusinessConnectorException, TechnicalConnectorException, SessionManagementException
    Description copied from interface: `WsConsentService`
    Method which perform the call to the webSevice which allows an end-user to check the existence of an informed patient consent (and to get the information about this consent – ‘active’ or ‘inactive’).
    Specified by:
      `getPatientConsent` in interface `WsConsentService`
    Parameters:
      `token` - the token
      `request` - object
    Returns:
      GetPatientConsentResponse object
    Throws:
      `WsConsentBusinessConnectorException`
      `TechnicalConnectorException`
      `SessionManagementException`
    See Also:
      - invalid reference

            be.ehealth.businessconnector.wsconsent.service.WsConsentService#GetPatientConsent(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.fgov.ehealth.hubservices.core.v2.GetPatientConsentRequest)

  - ### getPatientConsentStatus

    public GetPatientConsentStatusResponse getPatientConsentStatus(SAMLToken token, GetPatientConsentStatusRequest request) throws WsConsentBusinessConnectorException, TechnicalConnectorException, SessionManagementException
    Description copied from interface: `WsConsentService`
    Method which performs the call to the webService which allows an end-user to check the status of and informed patient consent
    Specified by:
      `getPatientConsentStatus` in interface `WsConsentService`
    Parameters:
      `token` - the token
      `request` - object
    Returns:
      GetPatientConsentStatusResponse object
    Throws:
      `WsConsentBusinessConnectorException`
      `TechnicalConnectorException`
      `SessionManagementException`
    See Also:
      - invalid reference

            be.ehealth.businessconnector.wsconsent.service.WsConsentService#GetPatientConsentStatus(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.fgov.ehealth.hubservices.core.v2.GetPatientConsentStatusRequest)

  - ### revokePatientConsent

    public RevokePatientConsentResponse revokePatientConsent(SAMLToken token, RevokePatientConsentRequest request) throws WsConsentBusinessConnectorException, TechnicalConnectorException, SessionManagementException
    Description copied from interface: `WsConsentService`
    Method which perform the call to the webSevice which allows an end-user to declare the revocation of an informed patient consent. Once the consent is revoked, it is considered as ‘inactive’ consent.
    Specified by:
      `revokePatientConsent` in interface `WsConsentService`
    Parameters:
      `token` -
      `request` - object
    Returns:
      RevokePatientConsentResponse object
    Throws:
      `WsConsentBusinessConnectorException`
      `TechnicalConnectorException`
      `SessionManagementException`
    See Also:
      - invalid reference

            be.ehealth.businessconnector.wsconsent.service.WsConsentService#RevokePatientConsent(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.fgov.ehealth.hubservices.core.v2.RevokePatientConsentRequest)

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`